Subject: Re: [AVTCORE] Comments on draft-ietf-avtcore-rfc5285bis-03

From: Colin Perkins <[email-masked]>
Date: Wed, 2 Nov 2016 12:47:08 +0000

Hi,

Following up, after reading the diff to -04.

> On 18 Oct 2016, at 09:53, Magnus Westerlund <[email-masked]> wrote:
…
>>> 12. Section 10.1:
>>> 
>>>       2.  that the extension complies with the requirements of RTP and
>>>           this specification, for extensions (notably, that the stream
>>>           is still decodable if the extension is ignored or not
>>>           recognized);
>>> 
>>> I believe there is need to tweak this bullet.
>> [Roni Even] This is the text from RFC5285, I believe it says that when
>> reviewing an extension the expert must verify that lack of support will not
>> prevent the decoding of the RTP stream. Any suggestion for text here?
> 
> So, based on the RTP header extensions recently defined or under definition, like RID and MID, they are not preventing RTP stack level processing, but in some cases failure to understand them prevents the application from working correctly. Even for middleboxes there exist a need to understand them to be able to route them correctly.
> 
> So the requirement was changed in Section 4.1 to say:
> 
>   To be specific, header extensions using this
>   specification SHOULD be used for data that can safely be ignored by
>   the recipient without affecting interoperability, there can be
>   essential header extensions for interoperability and intermediaries
>   SHOULD NOT remove such header extensions.
> 
> So my proposed text change is to remove the parenthesis.
> 
> I think the reviewer should be questioning the need for any header extension that modifies how the RTP stack processes the packet. The current situation is that we are going to have RTP header extension that are going to be critical for applications or at least certain functionalities in applications. I think we have to accept that, but we should I think ensure that the extensions are open and explicit in which way they may become required for interoperability or functionality. So the question is if we should rather add a requirement for documenting that need?

I accept that header extensions are being used more frequently now, but I think we’ve so far managed to avoid cases where critical information is only carried in RTP header extensions. We should try to keep it that way. Accordingly, I don’t think removing the parenthesised text is appropriate.

-- 
Colin Perkins
https://csperkins.org/